Little Registry Cleaner

DeskMetrics.CurrentUser.CreateUserID(RegistryKey reg) Object reference not set to an instance of an object

Reported by Nick on 2011-11-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Little Registry Cleaner
Undecided
Unassigned

Bug Description

Current Date/Time: 1/10/2011 17:21:30
Exec. Date/Time: 1/10/2011 17:21:19
Build Date: 09/25/2011
OS: Microsoft Windows NT 5.1.2600 Service Pack 3
Language: pt-BR
System Uptime: 12 Days 21 Hours 21 Mins 31 Secs
Program Uptime: 00:00:00.7343750
PID: 9128
Executable: F:\Little Registry Cleaner\Little Registry Cleaner.exe
Process Name: System.Diagnostics.Process (Little Registry Cleaner)
Main Module Name: Little Registry Cleaner.exe
Module Count: 60
Thread Count: 10
Thread ID: 1
Is Admin: True
Is Debugged: False
Version: 1.5
CLR Version: 4.0.30319.235

Type #0 System.NullReferenceException
Message #0: Object reference not set to an instance of an object.
TargetSite #0: System.String CreateUserID(Microsoft.Win32.RegistryKey)
Source #0: Common Tools

StackTrace:
  at Common_Tools.DeskMetrics.CurrentUser.CreateUserID(RegistryKey reg)
  at Common_Tools.DeskMetrics.CurrentUser.GetID()
  at Common_Tools.DeskMetrics.Watcher.get_UserGUID()
  at Common_Tools.DeskMetrics.Json.StartAppJson.GetJsonHashTable()
  at Common_Tools.DeskMetrics.Watcher.StartAppJson()
  at Common_Tools.DeskMetrics.Watcher.Start(String ApplicationId, String ApplicationVersion)
  at Little_Registry_Cleaner.Main.Main_Shown(Object sender, EventArgs e)
  at System.Windows.Forms.Form.OnShown(EventArgs e)
  at System.Windows.Forms.Form.CallShownEvent()
  at System.Windows.Forms.Control.InvokeMarshaledCallbackDo(ThreadMethodEntry tme)
  at System.Windows.Forms.Control.InvokeMarshaledCallbackHelper(Object obj)
  at System.Threading.ExecutionContext.runTryCode(Object userData)
  at System.Runtime.CompilerServices.RuntimeHelpers.ExecuteCodeWithGuaranteedCleanup(TryCode code, CleanupCode backoutCode, Object userData)
  at System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state)
  at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean ignoreSyncCtx)
  at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
  at System.Windows.Forms.Control.InvokeMarshaledCallback(ThreadMethodEntry tme)
  at System.Windows.Forms.Control.InvokeMarshaledCallbacks()

Nick (ub3rst4r) on 2011-11-02
Changed in lilregcleaner:
status: New → Fix Committed
Nick (ub3rst4r) on 2011-11-03
Changed in lilregcleaner:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers